## com.ibatis.jpetstore.persistence.iface
Interface OrderDao

All Known Implementing Classes:
  OrderSqlMapDao

public interface OrderDao

Method Summary
`Order` `getOrder(int orderId)`
`com.ibatis.common.util.PaginatedList` `getOrdersByUsername(String username)`
`void` `insertOrder(Order order)`

Method Detail

### getOrdersByUsername

    public com.ibatis.common.util.PaginatedList getOrdersByUsername(String username)

### getOrder

    public Order getOrder(int orderId)

### insertOrder

    public void insertOrder(Order order)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.